import DotNetMapReducer.getNextValue;
import java.util.Iterator;

import org.apache.hadoop.io.IntWritable;

import System.BoxedInt;
import System.Object;


public class IteratorHandler implements getNextValue 
{
	private Iterator<IntWritable> theIterator = null;
	
	public IteratorHandler(Iterator<IntWritable> iterator)
	{
		theIterator = iterator;
	}
	
	@Override
	// returns null if no more values, otherwise returns a boxed integer
	public Object Invoke() 
	{
		if (!theIterator.hasNext()) return null;
		else
		{
			IntWritable iw = theIterator.next();
			int i = iw.get();
			
			return new BoxedInt(i);
		}
	}
}
