import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.OutputCollector;

import DotNetMapReducer.collectResult;


public class OutputCollectorHandler implements collectResult 
{
	private OutputCollector<Text, IntWritable> outputCollector = null;
	
	public OutputCollectorHandler(OutputCollector<Text, IntWritable> theCollector)
	{
		outputCollector = theCollector;
	}
	
	@Override
	public void Invoke(String theKey, int theValue)
	{
		try
		{
			outputCollector.collect(new Text(theKey), new IntWritable(theValue));
		}
		catch(IOException e)
		{
			// not sure why it would throw IOException anyway
		}
	}
}
